### Class

# GtkSource Annotation

since: 5.18

#### Description [src]

    final class GtkSource.Annotation : GObject.Object
    {
      /* No available fields */
    }

Represents an annotation added to `GtkSourceView`, it has a `GtkSourceAnnotation:line` property, `GtkSourceAnnotation:description`, icon and a style.

It will be displayed always at the end of a line.

If the style is GTK_SOURCE_ANNOTATION_STYLE_NONE it will use the same color as `GtkSourceSpaceDrawer`.

Available since: 5.18

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gtk_source_annotation_new

No description available.

#### Instance methods

###### gtk_source_annotation_get_description

No description available.

###### gtk_source_annotation_get_icon

No description available.

###### gtk_source_annotation_get_line

No description available.

###### gtk_source_annotation_get_style

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.Annotation:description

The text description displayed at `GtkSourceAnnotation:line`.

since: 5.18

###### GtkSource.Annotation:icon

The icon displayed at `GtkSourceAnnotation:line`.

since: 5.18

###### GtkSource.Annotation:line

The line where to display the annotation.

since: 5.18

###### GtkSource.Annotation:style

The style of the annotation.

since: 5.18

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceAnnotationClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.